Bug 65404 - Automounting of ncp connections are taking place at the wrong time in system init.
Automounting of ncp connections are taking place at the wrong time in system ...
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: util-linux (Show other bugs)
7.3
All Linux
medium Severity low
: ---
: ---
Assigned To: Elliot Lee
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-05-23 04:34 EDT by Anders Norrbring
Modified: 2007-04-18 12:42 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-02-19 17:28:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Anders Norrbring 2002-05-23 04:34:30 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1)

Description of problem:
I'm running several ncp connections when starting up the computer, and have 
noticed lots of error messages on the console, in dmesg and boot.log...  So I 
started to go through init procedures in netfs, which to me looks perfectly 
OK, but in rc.sysinit you've made a little miss. When looking in it, I found:

# Mount all other filesystems (except for NFS and /proc, which is already
# mounted). Contrary to standard usage,
# filesystems are NOT unmounted in single user mode.
action $"Mounting local filesystems: " mount -a -t nonfs,smbfs,ncpfs -O 
no_netdev

Which isn't really true.. If I include the ncp mounts in fstab, then they will 
be initialised there too, although the network interface isn't brought up yet.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:

Just add a ncp mount in fstab for auto mounting.

Expected Results:  The ncp mounts should take place in /etc/rc.d/init.d/netfs 
which they do (also...) AFTER the network is up and running.

Additional info:

I easily fixed the problem by simply adding noncp in rc.sysinit, so now it 
reads:

# Mount all other filesystems (except for NFS and /proc, which is already
# mounted). Contrary to standard usage,
# filesystems are NOT unmounted in single user mode.
action $"Mounting local filesystems: " mount -a -t nonfs,noncp,smbfs,ncpfs -O 
no_netdev
Comment 1 Florian La Roche 2003-02-08 17:35:25 EST
re-assigning to initscripts

Florian La Roche
Comment 2 Bill Nottingham 2003-02-08 23:39:21 EST
-a -t noXXX,YYY,ZZZ

The 'no' applies to all three of XXX, YYY, and ZZZ. If it's trying to mount
YYY or ZZZ, either mount is broken, or it's docs are.
Comment 3 Elliot Lee 2003-02-19 17:28:08 EST
With the util-linux in rawhide, if I make an fstab line:
asdf  blah  ncp  defaults  0 0
...then a 'mount -a -t nonfs,ncp' does not try to mount the ncp thing.

So I will assume this was fixed by upstream util-linux, unless someone can
reproduce it on a Phoebe beta.

Note You need to log in before you can comment on or make changes to this bug.